.parallax-container{
    overflow-x: auto;
    overflow-y: hidden;
}

.hide-preload .splash-video-wrap video{
    display: none;
}

/* preloader animations starts */
body.has-landing-page-splash .splash-video-wrap .site-logo{
    opacity: 0;
}

body.has-landing-page-splash .splash-video-wrap h1>div{
    opacity: 0;
    transform: translateY(100px);
}

body.has-landing-page-splash.loaded .splash-video-wrap .site-logo{
    animation: animate_site_logo 1500ms ease-in-out forwards 0ms;
    -webkit-animation: animate_site_logo 1500ms ease-in-out forwards 0ms;
    animation-delay: 2s;
}

body.has-landing-page-splash.loaded .splash-video-wrap .chevron-down {
    -moz-animation: pulse 1s infinite;
    -webkit-animation: pulse 1s infinite;
    animation: pulse 1s infinite;
    height: 40px;
    margin-top: 20px;
}

body.has-landing-page-splash.loaded .splash-video-wrap h1>div:nth-of-type(1){
    animation: animate_head_h1 500ms ease-in-out forwards 500ms;
    -webkit-animation: animate_head_h1 500ms ease-in-out forwards 500ms;
    animation-delay: 2.5s;
}

body.has-landing-page-splash.loaded .splash-video-wrap h1>div:nth-of-type(2){
    animation: animate_head_h1 500ms ease-in-out forwards 800ms;
    -webkit-animation: animate_head_h1 500ms ease-in-out forwards 800ms;
    animation-delay: 2.8s;
}

body.has-landing-page-splash.loaded .splash-video-wrap h1>div:nth-of-type(3){
    animation: animate_head_h1 500ms ease-in-out forwards 800ms;
    -webkit-animation: animate_head_h1 500ms ease-in-out forwards 800ms;
    animation-delay: 3s;
}

/*body.has-landing-page-splash.splash-engaged .splash-video-wrap video{
    display: none;
}*/

body.has-landing-page-splash.splash-engaged.animation-done .splash-video-wrap{
    display: none;
}

body.has-landing-page-splash.splash-engaged .splash-video-wrap .site-logo,
body.has-landing-page-splash.splash-engaged .splash-video-wrap h1>div{
    display: none;
}
/* preloader animations end */

/* after preload css starts */
body.has-landing-page-splash{
    overflow: hidden;
}

body.has-landing-page-splash .introduce-banner{
    transform: translateY(100vh);
}

body.has-landing-page-splash #videoContainer{
    transform: translateY(100vh);
}

body.has-landing-page-splash.splash-engaged .site-header .top-header{
    display: block;
}

body.has-landing-page-splash.splash-engaged .introduce-banner{
    animation: preloader_header_animate 1000ms forwards;
    -webkit-animation: preloader_header_animate 1000ms forwards;
}

body.has-landing-page-splash.splash-engaged #videoContainer{
    animation: videocontainer_animate 1000ms forwards;
    -webkit-animation: videocontainer_animate 1000ms forwards;
}

body.has-landing-page-splash.splash-clicked.animation-done{
    overflow: auto;
}

body.has-landing-page-splash.splash-clicked.animation-done #page-content-wrap,
body.has-landing-page-splash.splash-clicked.animation-done #page-content-wrap .site-header .inner-header{
    overflow: hidden;
}
/* after preload css end */

/* after preload introducing section animations starts */

body.has-landing-page-splash .introduce-banner .introduce-detail .animate-portion-inner *{
    opacity: 0;
    transform: translateY(100px);
}

body.has-landing-page-splash .introduce-banner .introduce-img,
body.has-landing-page-splash .introduce-banner .intro-img-middle,
body.has-landing-page-splash .intro-img-btm{
    opacity: 0;
}

body.has-landing-page-splash.animation-done .introduce-banner .animate-portion-inner h5{
    animation: introduce_banner_h5 500ms ease-in-out forwards 0ms;
    -webkit-animation: introduce_banner_h5 500ms ease-in-out forwards 0ms;
}

body.has-landing-page-splash.animation-done .introduce-banner .animate-portion-inner h2{
    animation: introduce_banner_h2 500ms ease-in-out forwards 400ms;
    -webkit-animation: introduce_banner_h2 500ms ease-in-out forwards 400ms;
}

body.has-landing-page-splash.animation-done .introduce-banner .animate-portion-inner p{
    animation: introduce_banner_p 500ms ease-in-out forwards 800ms;
    -webkit-animation: introduce_banner_p 500ms ease-in-out forwards 800ms;
}

body.has-landing-page-splash.animation-done .introduce-banner .introduce-img{
    animation: introduce_images 500ms ease-in-out forwards 0ms;
    -webkit-animation: introduce_images 500ms ease-in-out forwards 0ms;
}

body.has-landing-page-splash.animation-done .introduce-banner .intro-img-middle{
    animation: introduce_images 500ms ease-in-out forwards 400ms;
    -webkit-animation: introduce_images 500ms ease-in-out forwards 400ms;
}

body.has-landing-page-splash.animation-done .introduce-banner .intro-img-btm{
    animation: introduce_images 500ms ease-in-out forwards 800ms;
    -webkit-animation: introduce_images 500ms ease-in-out forwards 800ms;
}

/* after preload introducing section animations ends */

/* architecture section text animations starts */
@media(min-width: 768px){
    .architecture-portion-wrap .animate-portion-inner h5,
    .architecture-portion-wrap .animate-portion-inner h2 div,
    .architecture-portion-wrap .animate-portion-inner p.lead {
        opacity: 0;
        transform: translateY(100px);
    }

    body.animation-done .architecture-portion-wrap.success-animation-wrap .animate-portion-inner h5{
        animation: architecture_h5 500ms ease-in-out forwards 0ms;
        -webkit-animation: architecture_h5 500ms ease-in-out forwards 0ms;
    }

    body.animation-done .architecture-portion-wrap.success-animation-wrap .animate-portion-inner h2 div:nth-of-type(1){
        animation: architecture_h2 500ms ease-in-out forwards 400ms;
        -webkit-animation: architecture_h2 500ms ease-in-out forwards 400ms;
    }

    body.animation-done .architecture-portion-wrap.success-animation-wrap .animate-portion-inner h2 div:nth-of-type(2){
        animation: architecture_h2 500ms ease-in-out forwards 800ms;
        -webkit-animation: architecture_h2 500ms ease-in-out forwards 800ms;
    }

    body.animation-done .architecture-portion-wrap.success-animation-wrap .animate-portion-inner h2 div:nth-of-type(3){
        animation: architecture_h2 500ms ease-in-out forwards 1200ms;
        -webkit-animation: architecture_h2 500ms ease-in-out forwards 1200ms;
    }

    body.animation-done .architecture-portion-wrap.success-animation-wrap .animate-portion-inner p.lead{
        animation: architecture_h5 500ms ease-in-out forwards 1400ms;
        -webkit-animation: architecture_h5 500ms ease-in-out forwards 1400ms;
    }
}
/* architecture section text animations ends */

.jScroll {
    -moz-user-select:none;
    -webkit-user-select:none;
    user-select:none;
}

/* animations code starts */
.building-img-wrap img{
    position: absolute;
    top:0px;
    left: 0px;
}
.m-building{
	display: none;
}
.building-img-wrap.building-main{
	max-width: 1140px;
}
@media(min-width: 768px){
    .animate-portion{
        opacity: 0;
        /*margin-top: 100px !important;*/
        transform: translateY(100px);
    }

    .animate-portion2{
        opacity: 0;
        /*margin-top: 100px;*/
        transform: translateY(100px);
    }

    .animate-portion-wrap .animate-portion-inner{
        opacity: 0;
        transform: translateY(100px);
    }

    .animate-portion-header-wrap h1 div{
        opacity: 0;
        transform: translateY(100px);
    }

    .animate-portion-image-wrap .animate-portion-image-inner{
        opacity: 0;
        transform: translateY(50px);
    }



    .animate-portion-intro1-wrap .animate-portion-image-inner{
        opacity: 0;
        /*transform: translate(50px, 50px);*/
        transform: translateX(100px);
    }


    .animate-portion-intro2-wrap .animate-portion-image-inner{
        opacity: 0;
        /*transform: translate(50px, 50px);*/
        transform: translateX(100px);
    }

    .animate-portion.success-animation{
        animation: success_animate_portion 500ms ease-in-out forwards 300ms;
    }

    .building-section #anm-port1.success-animation2{
        animation: success_animate_portion2 1000ms ease-in-out forwards 0ms;
    }

    .building-section #anm-port2.success-animation2{
        animation: success_animate_portion2 1000ms ease-in-out forwards 0ms;
    }

    .building-section #anm-port3.success-animation2{
        animation: success_animate_portion2 1000ms ease-in-out forwards 0ms;
    }

   .animate-portion-wrap.success-animation-wrap .animate-portion-inner{
        animation: success_animate_portion_wrap 500ms ease-in-out forwards 300ms;
    }

    .animate-portion-header-wrap.success-animation-wrap h1 div:nth-of-type(1){
        animation: success_animate_portion_header1 500ms ease-in-out forwards 300ms;
    }

    .animate-portion-header-wrap.success-animation-wrap h1 div:nth-of-type(2){
        animation: success_animate_portion_header1 500ms ease-in-out forwards 700ms;
    }

    .animate-portion-image-wrap.success-animation-wrap .animate-portion-image-inner{
        animation: success_animate_portion_image_wrap 1000ms ease-in-out forwards 300ms;
    }

    .animate-portion-intro1-wrap.success-animation-wrap .animate-portion-image-inner{
        animation: success_animate_portion_intro1_wrap 700ms ease-in-out forwards 500ms;
    }

    .animate-portion-intro2-wrap.success-animation-wrap .animate-portion-image-inner{
        animation: success_animate_portion_intro2_wrap 1000ms ease-in-out forwards 1000ms;
    }


    .building-cloud-left{
        z-index: 5;
        margin-left: 90vw;
        opacity: 0;
    }
    .building-cloud-left.show-building-part{
        animation: building_cloud_first 50000ms linear infinite 20000ms;
    }

    .building-cloud-right{
        z-index: 6;
        margin-left: 70vw;
        opacity: 0;
    }
    .building-cloud-right.show-building-part{
        animation: building_cloud_second 50000ms linear infinite 0ms;
    }

    .building-main{
        z-index: 1;
    }
    .building-ribbon-top{
        z-index: 8;
        opacity: 0;
        transform: translateY(50px);
    }
    .building-ribbon-top.show-building-part{
        animation: building_ribbon_top 1000ms ease-in-out forwards 0ms;
    }

    .building-ribbon-middle{
        z-index: 8;
        opacity: 0;
        transform: translateY(50px);
    }
    .building-ribbon-middle.show-building-part{
        animation: building_ribbon_middle 1000ms ease-in-out forwards 0ms;
    }

    .building-ribbon-bottom{
        z-index: 8;
        opacity: 0;
        /*margin-top: -50px;*/
        transform: translateY(50px);
    }
    .building-ribbon-bottom.show-building-part{
        animation: building_ribbon_bottom 1000ms ease-in-out forwards 0ms;
    }

    .building-tree-1,
    .building-tree-2,
    .building-tree-3,
    .building-tree-4,
    .building-tree-5{
        z-index: 1;
        opacity: 0;
        transform: translateY(10px);
    }

    .building-tree-1.show-building-part{
        animation: building_tree_animation 150ms ease-in-out forwards 0ms;
    }
    .building-tree-2.show-building-part{
        animation: building_tree_animation 150ms ease-in-out forwards 100ms;
    }
    .building-tree-3.show-building-part{
        animation: building_tree_animation 150ms ease-in-out forwards 200ms;
    }
    .building-tree-4.show-building-part{
        animation: building_tree_animation 150ms ease-in-out forwards 300ms;
    }
    .building-tree-5.show-building-part{
        animation: building_tree_animation 150ms ease-in-out forwards 400ms;
    }
}

@media (max-width: 767px){
	.m-building{
		display: block;
	}
}
/* animations code ends */
